
#ifndef SEQUENCE_H
#define SEQUENCE_H SEQUENCE_H

#include <vector>
#include <iostream>
#include "ElementSet.h"

class Sequence
{
private:
    int myMutationCount;
    std::vector<ElementSet> myElements;

public:
    Sequence();
    Sequence(int size);
    Sequence(const char * initializer);
    Sequence parent(const Sequence & other);
    int getCount() { return myMutationCount; }
    void label();

    friend std::ostream & operator<<(std::ostream & out, const Sequence & s);
};

#endif
